#include-once
; AutoIt Version: 3.0
; Language:       English
; Platform:       Win9x/NT
; Author:         Michael W. Bayley
;
; Script Function:
;   MultiRun.Mrn - Ini file definitions
;


; Main Program Definitions
$Title = "MultiRun"
$ProgramID = "MultiRun"
$ProgramMajor = 1
$ProgramMinor = 2
$Author = "Michael W. Bayley"


; .ini/.mrn file keys
$IniFileName = "MultiRun.mrn"
$IniDefaultProfile = "(Default)"
$IniSection = "MultiRun"
$IniProfilesSection = "Profiles"

$IniItems = "Items"
$IniItem = "Item"
$IniSectionID = "ID"
$IniProgramID = "ProgramID"
$IniMajor = "VerMajor"
$IniMinor = "VerMinor"
$IniLog = "Log"
$IniWarnProfile = "WarnProfileDelete"
$IniWarnProgram = "WarnProgramDelete"
$IniUseRelativePaths = "UseRelativePaths"


; .ini/.mrn file section IDs
$IniMainSectionID = 1
$IniProfilesID = 2
$IniProfileEntryID = 3
$IniRunSectionID = 4


; .ini/.mrn file defaults
$Log = "MultiRun.log"
$LogMax = 50


; Program .ini/.mrn file keys
$IniRunSectionID = 4
$IniRunProgram = "Program"
$IniRunDir = "Directory"
$IniRunParams = "Params"
$IniRunProgramMode = "ProgramMode"
$IniRunSingleInstance = "SingleInstance"
$IniRunTitleMode = "TitleMode"
$IniRunTitle1 = "Title1"
$IniRunTitle2 = "Title2"
$IniRunKeys = "Keys"
$IniRunWait = "Wait"
$IniRunTimeout = "Timeout"
$IniRunWidth = "Width"
$IniRunHeight = "Height"
$IniRunXPos = "XPos"
$IniRunYPos = "YPos"

$IniRunProgramModeNormal = 0
$IniRunProgramModeMax = 1
$IniRunProgramModeMin = 2
$IniRunProgramModeHide = 3

$IniRunTitleModeNone = 0
$IniRunTitleModeExact = 1
$IniRunTitleModeStart = 2
$IniRunTitleModeContains = 3
$IniRunTitleModeRegexp = 4

$IniRunWaitClose = -1
$IniRunTimeoutForever = 0
$IniRunCenter = -1
$IniRunDefault = 0


; Program .ini/.mrn file defaults
$DefRunProgram = ""
$DefRunDir = ""
$DefRunParams = ""
$DefRunProgramMode = 0
$DefRunTitleMode = 0
$DefRunTitle1 = ""
$DefRunTitle2 = ""
$DefRunKeys = ""
$DefRunWait = 0
$DefRunTimeout = 0
$DefRunWidth = $IniRunDefault
$DefRunHeight = $IniRunDefault
$DefRunXPos = $IniRunCenter
$DefRunYPos = $IniRunCenter


; Regular Expression Search Strings
$RegexpChars = ".[]^?*+()$\/|"
$RegExpEscape = "\"
$RegexpHeader = "regexp="
$RegexpLeft1 = "^("
$RegexpLeft2 = ")+"
$RegexpMid = ".*"
$RegexpRight1 = "("
$RegexpRight2 = ")+$"

